Skip to content

List deliveries and their stored payloads

GET
/v1/webhooks/{endpoint_id}/deliveries
curl --request GET \
--url 'https://api.octaneai.com/v1/webhooks/example/deliveries?limit=20' \
--header 'Authorization: Bearer <token>'
endpoint_id
required
Endpoint Id
string
cursor
Any of:
string
<= 200 characters

From the previous page’s nextCursor

limit
Limit
integer
default: 20 >= 1 <= 100

One page of the endpoint’s deliveries, newest first, each with the payload as it was signed.

Media typeapplication/json
DeliveryList
object
data
required
Data
Array<object>
DeliverySummary
object
attempts
required
Attempts
integer
created_at
required
Created At
string format: date-time
delivered_at
required
Any of:
string format: date-time
endpoint_id
required
Endpoint Id
string
/^whe_[0-9a-f]{32}$/
event_id
required
Event Id
string
/^evt_[0-9a-f]{32}$/
id
required
Id
string
/^whd_[0-9a-f]{32}$/
last_error
required
Any of:
string
last_response
required
Any of:
string
last_status_code
required
Any of:
integer
next_attempt_at
required
Next Attempt At
string format: date-time
payload
required
Any of:
DeliveryPayload
object
api_version
required
Api Version
string
Allowed value: v1
created
required
Created
string format: date-time
data
required
Data
object
key
additional properties
any
id
required
Id
string
/^evt_[0-9a-f]{32}$/
type
required
Type
string
status
required
Status
string
Allowed values: pending retrying delivering delivered dead
topic
required
Topic
string
has_more
required
Has More
boolean
next_cursor
required
Any of:
string
Example
{
"data": [
{
"attempts": 1,
"created_at": "2026-09-07T09:11:58Z",
"delivered_at": "2026-09-07T09:12:00Z",
"endpoint_id": "whe_3f2504e04f8911d39a0c0305e82c3301",
"event_id": "evt_6ba7b8109dad11d180b400c04fd430c8",
"id": "whd_7c9e6679742540de944be07fc1f90ae7",
"last_response": "ok",
"last_status_code": 200,
"next_attempt_at": "2026-09-07T09:12:00Z",
"payload": {
"api_version": "v1",
"created": "2026-09-07T09:11:58Z",
"data": {
"object": {
"answered_count": 1,
"answers": {
"image_choice-48su5": {
"kind": "image",
"label": "Skin type?",
"option_ids": [
"dry"
],
"page_key": "skin",
"value": "dry",
"values": [
"Dry"
]
}
},
"channel": "email",
"completed_at": "2026-09-07T09:11:30Z",
"country": "US",
"device": {
"browser": "Mobile Safari",
"browser_version": "17.5",
"class": "mobile",
"family": "iPhone",
"model": "iPhone",
"os": "iOS",
"os_version": "17.5",
"vendor": "Apple"
},
"ended_at": "2026-09-07T09:11:30Z",
"formulas": [
{
"component_key": "formula-tidtk",
"label": "Hydration score",
"page_key": "result",
"value": 72
}
],
"id": "sess_9b2d4a5e6f7a4b8c9d0e1f2a3b4c5d6e",
"last_page": "result",
"page_url": "https://shop.example.com/pages/quiz",
"points": [
{
"dimension_id": "dry",
"name": "Dry",
"total": 14
}
],
"products_shown": [],
"property_mappings": [],
"quiz_id": "quiz_7c9e6679742540de944be07fc1f90ae7",
"quiz_name": "Find your routine",
"started_at": "2026-09-07T09:08:00Z",
"utm_source": "newsletter",
"version_id": "ver_15ce0be06b904d0180b1155da02a6c6f",
"version_number": 2,
"visitor_id": "vis_0a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d"
}
},
"id": "evt_6ba7b8109dad11d180b400c04fd430c8",
"type": "quiz.finished"
},
"status": "delivered",
"topic": "quiz.finished"
},
{
"attempts": 0,
"created_at": "2026-09-07T09:11:58Z",
"endpoint_id": "whe_3f2504e04f8911d39a0c0305e82c3301",
"event_id": "evt_15ce0be06b904d0180b1155da02a6c6f",
"id": "whd_15ce0be06b904d0180b1155da02a6c6f",
"next_attempt_at": "2026-09-07T09:12:00Z",
"payload": {
"api_version": "v1",
"created": "2026-09-07T09:11:58Z",
"data": {
"object": {
"endpoint_id": "whe_3f2504e04f8911d39a0c0305e82c3301"
}
},
"id": "evt_15ce0be06b904d0180b1155da02a6c6f",
"type": "ping"
},
"status": "pending",
"topic": "ping"
}
],
"has_more": false
}

The key is missing, malformed, revoked or expired.

Media typeapplication/problem+json
Problem

The body of every non-2xx response.

object
detail
required
Detail

What went wrong, for people

string
errors
Any of:
Array<object>
FieldError
object
field
required
Field

The input that failed, as a dotted path (body.label, query.from)

string
message
required
Message

Why it failed

string
export
Any of:
object
key
additional properties
any
request_id
required
Request Id

The same value as the Request-Id header; quote it to support

string
required
Any of:
Array<string>
retry_after
Any of:
integer
status
required
Status

The HTTP status of the response

integer
title
required
Title

The machine-readable error code

string
type
required
Type

A stable URI naming the error, on this API’s public host

string
Example
{
"detail": "The API key is missing, malformed, revoked or expired",
"request_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"status": 401,
"title": "invalid_api_key",
"type": "https://api.octaneai.com/errors/invalid_api_key"
}
WWW-Authenticate
string
Example
Bearer

The store’s plan has no API access, or the key lacks the scope.

Media typeapplication/problem+json
Problem

The body of every non-2xx response.

object
detail
required
Detail

What went wrong, for people

string
errors
Any of:
Array<object>
FieldError
object
field
required
Field

The input that failed, as a dotted path (body.label, query.from)

string
message
required
Message

Why it failed

string
export
Any of:
object
key
additional properties
any
request_id
required
Request Id

The same value as the Request-Id header; quote it to support

string
required
Any of:
Array<string>
retry_after
Any of:
integer
status
required
Status

The HTTP status of the response

integer
title
required
Title

The machine-readable error code

string
type
required
Type

A stable URI naming the error, on this API’s public host

string
Examples
{
"detail": "The API key does not carry the scope this route needs",
"request_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"required": [
"quizzes:read"
],
"status": 403,
"title": "insufficient_scope",
"type": "https://api.octaneai.com/errors/insufficient_scope"
}

Not found

Media typeapplication/problem+json
Problem

The body of every non-2xx response.

object
detail
required
Detail

What went wrong, for people

string
errors
Any of:
Array<object>
FieldError
object
field
required
Field

The input that failed, as a dotted path (body.label, query.from)

string
message
required
Message

Why it failed

string
export
Any of:
object
key
additional properties
any
request_id
required
Request Id

The same value as the Request-Id header; quote it to support

string
required
Any of:
Array<string>
retry_after
Any of:
integer
status
required
Status

The HTTP status of the response

integer
title
required
Title

The machine-readable error code

string
type
required
Type

A stable URI naming the error, on this API’s public host

string
Example
{
"detail": "Not found",
"request_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"status": 404,
"title": "not_found",
"type": "https://api.octaneai.com/errors/not_found"
}

A request parameter is invalid.

Media typeapplication/problem+json
Problem

The body of every non-2xx response.

object
detail
required
Detail

What went wrong, for people

string
errors
Any of:
Array<object>
FieldError
object
field
required
Field

The input that failed, as a dotted path (body.label, query.from)

string
message
required
Message

Why it failed

string
export
Any of:
object
key
additional properties
any
request_id
required
Request Id

The same value as the Request-Id header; quote it to support

string
required
Any of:
Array<string>
retry_after
Any of:
integer
status
required
Status

The HTTP status of the response

integer
title
required
Title

The machine-readable error code

string
type
required
Type

A stable URI naming the error, on this API’s public host

string
Example
{
"detail": "A request parameter is invalid.",
"request_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"status": 422,
"title": "validation_error",
"type": "https://api.octaneai.com/errors/validation_error"
}

The key’s or the store’s bucket is full; Retry-After says when to try again.

Media typeapplication/problem+json
Problem

The body of every non-2xx response.

object
detail
required
Detail

What went wrong, for people

string
errors
Any of:
Array<object>
FieldError
object
field
required
Field

The input that failed, as a dotted path (body.label, query.from)

string
message
required
Message

Why it failed

string
export
Any of:
object
key
additional properties
any
request_id
required
Request Id

The same value as the Request-Id header; quote it to support

string
required
Any of:
Array<string>
retry_after
Any of:
integer
status
required
Status

The HTTP status of the response

integer
title
required
Title

The machine-readable error code

string
type
required
Type

A stable URI naming the error, on this API’s public host

string
Example
{
"detail": "Too many requests",
"request_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"retry_after": 1,
"status": 429,
"title": "rate_limited",
"type": "https://api.octaneai.com/errors/rate_limited"
}

The request timed out.

Media typeapplication/problem+json
Problem

The body of every non-2xx response.

object
detail
required
Detail

What went wrong, for people

string
errors
Any of:
Array<object>
FieldError
object
field
required
Field

The input that failed, as a dotted path (body.label, query.from)

string
message
required
Message

Why it failed

string
export
Any of:
object
key
additional properties
any
request_id
required
Request Id

The same value as the Request-Id header; quote it to support

string
required
Any of:
Array<string>
retry_after
Any of:
integer
status
required
Status

The HTTP status of the response

integer
title
required
Title

The machine-readable error code

string
type
required
Type

A stable URI naming the error, on this API’s public host

string
Example
{
"detail": "The request timed out.",
"request_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"status": 504,
"title": "timeout",
"type": "https://api.octaneai.com/errors/timeout"
}